{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.skunk_spray": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            {
              "spraying": "query.property('silverlabs_nat:is_spraying') == true"
            }
          ]
        },
        "spraying": {
          "transitions": [
            {
              "default": "query.property('silverlabs_nat:is_spraying') == false"
            }
          ],
          "on_entry": [
            "/scriptevent silverlabs_nat:skunk_spray"
          ]
        }
      }
    },
    "controller.animation.silverlabs_nat.skunk.breed_check": {
      "initial_state": "default",
      "states": {
        "default": {
          "on_entry": [
            "@s silverlabs_nat:set_not_breeding"
          ],
          "transitions": [
            { "breeding": "q.is_in_love" }
          ]
        },
        "breeding": {
          "on_entry": [
            "@s silverlabs_nat:set_is_breeding"
          ],
          "transitions": [
            { "default": "!q.is_in_love" }
          ]
        }
      }
    }
  }
}
